#ifndef __CHARTWRAPPER_H_001
#define __CHARTWRAPPER_H_001

#include <windows.h>
#include <tchar.h>

#ifdef CCHARTWRAPPER_EXPORTS
#define CCHARTWRAPPER_API __declspec(dllexport)
#else
#define CCHARTWRAPPER_API __declspec(dllimport)
//#define CCHARTWRAPPER_API
#endif


#if defined (__cplusplus)||defined(c_plusplus)
extern "C"{
#endif
/*
CCHARTWRAPPER_API HWND		CreatePopupChartWndGlobalWithMsgLoop(HWND hWndParent, int nChartType, TCHAR *wndTitle=_TEXT(""), int x=0, int y=0, int cx=CW_USEDEFAULT, int cy=CW_USEDEFAULT);
CCHARTWRAPPER_API int		AddPoint2D(double x, double y, int nDataIndex=0, int nPlotIndex=0);
CCHARTWRAPPER_API void		SetTitle(const TCHAR* title);
CCHARTWRAPPER_API void		ReDraw();
*/
#if defined (__cplusplus)||defined(c_plusplus)
}
#endif

#endif//__CHARTWRAPPER_H_001